set size 1.0, 0.6
#set mouse
set terminal postscript portrait enhanced font "Helvetica,20"
set key at 25, 0.4 box
set key spacing 1.5
set output "vary_Tc.eps"
set key spacing 1.5
set fit errorvariables
#set bars large
#set logscale y
#set ytics 0.1, 2
#set mytics 2
#set mxtics 5
set xrange [-1:0.4]
set yrange [0.9:2.2]
#set title "3-reg XORSAT"
f(x) = 1.0162 + 0 * x
g(x) = 2.0162 + 0 * x
u(x) = 1.0162 + (x+0.257)**2 / (1.476**2)
set xlabel "T_c" 
set ylabel "{/Symbol c}^2" 
plot "vary_Tc.dat" using 1:2 with lines notitle ls 1 , \
f(x) lt 2 lw 3 lc rgb "blue", \
g(x) lt 2 lw 3 lc rgb "blue", \
u(x) lt 3 lw 5 lc rgb "#00cc00", \
"chisq_min.dat" using 1:2 with points notitle ps 1 pt 6 lw 4, \
"upperlimit.dat" using 1:2 with lines notitle lt 3 lw 4
