import fileinput
from math import *

x = []
y = []
err = []
s = sumx = sumy = sumxx = sumxy = 0.

for line in fileinput.input():
    line = line.split()
    x_i = float(line[0]);   x.append(x_i)
    y_i = float(line[1]);   y.append(y_i)
    err_i = float(line[2]); err.append(err_i)
    err2 = err_i**2
    s += 1 / err2
    sumx    += x_i / err2
    sumy    += y_i / err2
    sumxx   += x_i*x_i / err2
    sumxy   += x_i*y_i / err2

n = len(x)
delta = s * sumxx - sumx * sumx
c = (sumy * sumxx - sumx * sumxy) / delta
m = (s * sumxy - sumx * sumy) / delta
errm = sqrt(s / delta)
errc = sqrt(sumxx / delta)

print "slope     = %10.4f +/- %7.4f " % (m, errm)
print "intercept = %10.4f +/- %7.4f \n" % (c, errc)

NDF = n - 2
chisq = 0.

for i in xrange(n):
    chisq += ((y[i] - m*x[i] - c)/err[i])**2;

chisq /= NDF
print "chi squared / NDF = %7.4lf " % chisq
