import sys
import numpy as np

fname = sys.argv[1] if len(sys.argv) > 1 else 'data.txt'
x = np.loadtxt(fname)

x2 = x**2
x4 = x**4

x2_tot = np.sum(x2)
x4_tot = np.sum(x4)

n = len(x)

x2_jack = (x2_tot - x2) / (n - 1)
x4_jack = (x4_tot - x4) / (n - 1)

x2_av = x2_tot / n
x4_av = x4_tot / n
g_av = x4_av / x2_av**2

g_jack = x4_jack / x2_jack**2
g_jack_av = np.average(g_jack)
g_jack_err = np.sqrt(n - 1) * np.std(g_jack)

print " Overall average is   %8.4f" % g_av
print " Jackknife average is %8.4f +/- %6.4f" % (g_jack_av, g_jack_err)

